From b7631218d5fa118aae223370e1ddda66d93168e2 Mon Sep 17 00:00:00 2001
From: Mark Reynolds <mreynolds@redhat.com>
Date: Wed, 7 Sep 2016 11:52:12 -0400
Subject: [PATCH] Ticket48978 - refactor LDAPDebug()

Description: Refectored LDAPDebug function calls to use the new
             severity level.

https://fedorahosted.org/389/ticket/48978

Reviewed by: ?
---
 ldap/servers/plugins/acl/aclutil.c                 |   4 +-
 ldap/servers/plugins/bitwise/bitwise.c             |   8 +-
 ldap/servers/plugins/collation/collate.c           |  18 +-
 ldap/servers/plugins/collation/config.c            |  10 +-
 ldap/servers/plugins/collation/orfilter.c          |  32 +-
 ldap/servers/plugins/cos/cos.c                     |  20 +-
 ldap/servers/plugins/cos/cos_cache.c               | 220 ++++++------
 ldap/servers/plugins/http/http_client.c            |  36 +-
 ldap/servers/plugins/http/http_impl.c              |  50 +--
 ldap/servers/plugins/presence/presence.c           | 114 +++---
 .../plugins/replication/windows_connection.c       | 154 ++++-----
 ldap/servers/plugins/replication/windows_private.c |   2 +-
 .../plugins/replication/windows_protocol_util.c    |  58 ++--
 ldap/servers/plugins/retrocl/retrocl_trim.c        |   4 +-
 ldap/servers/plugins/syntaxes/bin.c                |  16 +-
 ldap/servers/plugins/syntaxes/bitstring.c          |   4 +-
 ldap/servers/plugins/syntaxes/ces.c                |   8 +-
 ldap/servers/plugins/syntaxes/cis.c                |  28 +-
 ldap/servers/plugins/syntaxes/deliverymethod.c     |   4 +-
 ldap/servers/plugins/syntaxes/dn.c                 |   4 +-
 ldap/servers/plugins/syntaxes/facsimile.c          |   4 +-
 ldap/servers/plugins/syntaxes/guide.c              |   8 +-
 ldap/servers/plugins/syntaxes/int.c                |   4 +-
 ldap/servers/plugins/syntaxes/nameoptuid.c         |   4 +-
 ldap/servers/plugins/syntaxes/numericstring.c      |   4 +-
 ldap/servers/plugins/syntaxes/sicis.c              |   4 +-
 ldap/servers/plugins/syntaxes/string.c             |  18 +-
 ldap/servers/plugins/syntaxes/tel.c                |   4 +-
 ldap/servers/plugins/syntaxes/teletex.c            |   4 +-
 ldap/servers/plugins/syntaxes/telex.c              |   4 +-
 ldap/servers/plugins/syntaxes/value.c              |   2 +-
 ldap/servers/slapd/abandon.c                       |  10 +-
 ldap/servers/slapd/add.c                           |  24 +-
 ldap/servers/slapd/attrsyntax.c                    |  12 +-
 ldap/servers/slapd/auth.c                          |  22 +-
 ldap/servers/slapd/ava.c                           |   2 +-
 ldap/servers/slapd/back-ldbm/ancestorid.c          |  24 +-
 ldap/servers/slapd/back-ldbm/archive.c             |  32 +-
 ldap/servers/slapd/back-ldbm/cache.c               |  18 +-
 ldap/servers/slapd/back-ldbm/cleanup.c             |   6 +-
 ldap/servers/slapd/back-ldbm/close.c               |  10 +-
 ldap/servers/slapd/back-ldbm/dbhelp.c              |  66 ++--
 ldap/servers/slapd/back-ldbm/dblayer.c             | 382 ++++++++++-----------
 ldap/servers/slapd/back-ldbm/dbversion.c           |   6 +-
 ldap/servers/slapd/back-ldbm/dn2entry.c            |  12 +-
 ldap/servers/slapd/back-ldbm/filterindex.c         |  90 ++---
 ldap/servers/slapd/back-ldbm/findentry.c           |  24 +-
 ldap/servers/slapd/back-ldbm/id2entry.c            |  16 +-
 ldap/servers/slapd/back-ldbm/idl.c                 |  98 +++---
 ldap/servers/slapd/back-ldbm/idl_new.c             |  30 +-
 ldap/servers/slapd/back-ldbm/import-threads.c      |  62 ++--
 ldap/servers/slapd/back-ldbm/import.c              |  18 +-
 ldap/servers/slapd/back-ldbm/index.c               |  72 ++--
 ldap/servers/slapd/back-ldbm/init.c                |  20 +-
 ldap/servers/slapd/back-ldbm/instance.c            |  18 +-
 ldap/servers/slapd/back-ldbm/ldbm_add.c            |  48 +--
 ldap/servers/slapd/back-ldbm/ldbm_attr.c           |  16 +-
 ldap/servers/slapd/back-ldbm/ldbm_attrcrypt.c      |  98 +++---
 .../slapd/back-ldbm/ldbm_attrcrypt_config.c        |   8 +-
 ldap/servers/slapd/back-ldbm/ldbm_config.c         |  50 +--
 ldap/servers/slapd/back-ldbm/ldbm_delete.c         |  66 ++--
 ldap/servers/slapd/back-ldbm/ldbm_entryrdn.c       |   2 +-
 ldap/servers/slapd/back-ldbm/ldbm_index_config.c   |  26 +-
 .../servers/slapd/back-ldbm/ldbm_instance_config.c |  34 +-
 ldap/servers/slapd/back-ldbm/ldbm_modify.c         |  18 +-
 ldap/servers/slapd/back-ldbm/ldbm_modrdn.c         |  52 +--
 ldap/servers/slapd/back-ldbm/ldbm_search.c         |  26 +-
 ldap/servers/slapd/back-ldbm/ldif2ldbm.c           | 122 +++----
 ldap/servers/slapd/back-ldbm/misc.c                |  12 +-
 ldap/servers/slapd/back-ldbm/nextid.c              |  10 +-
 ldap/servers/slapd/back-ldbm/parents.c             |   2 +-
 ldap/servers/slapd/back-ldbm/rmdb.c                |   4 +-
 ldap/servers/slapd/back-ldbm/seq.c                 |  10 +-
 ldap/servers/slapd/back-ldbm/sort.c                |  10 +-
 ldap/servers/slapd/back-ldbm/start.c               |  58 ++--
 ldap/servers/slapd/back-ldbm/uniqueid2entry.c      |   4 +-
 ldap/servers/slapd/back-ldbm/upgrade.c             |  18 +-
 ldap/servers/slapd/back-ldbm/vlv.c                 | 102 +++---
 ldap/servers/slapd/back-ldbm/vlv_srch.c            |   2 +-
 ldap/servers/slapd/back-ldif/add.c                 |  14 +-
 ldap/servers/slapd/back-ldif/bind.c                |   4 +-
 ldap/servers/slapd/back-ldif/close.c               |   8 +-
 ldap/servers/slapd/back-ldif/compare.c             |   4 +-
 ldap/servers/slapd/back-ldif/config.c              |  18 +-
 ldap/servers/slapd/back-ldif/delete.c              |  10 +-
 ldap/servers/slapd/back-ldif/init.c                |  10 +-
 ldap/servers/slapd/back-ldif/modify.c              |  18 +-
 ldap/servers/slapd/back-ldif/modrdn.c              |  14 +-
 ldap/servers/slapd/back-ldif/search.c              |   4 +-
 ldap/servers/slapd/backend_manager.c               |   4 +-
 ldap/servers/slapd/bind.c                          |  16 +-
 ldap/servers/slapd/compare.c                       |   6 +-
 ldap/servers/slapd/config.c                        |  52 +--
 ldap/servers/slapd/connection.c                    |  64 ++--
 ldap/servers/slapd/conntable.c                     |   6 +-
 ldap/servers/slapd/control.c                       |  24 +-
 ldap/servers/slapd/counters.c                      |   4 +-
 ldap/servers/slapd/daemon.c                        | 140 ++++----
 ldap/servers/slapd/defbackend.c                    |  14 +-
 ldap/servers/slapd/delete.c                        |   4 +-
 ldap/servers/slapd/detach.c                        |  14 +-
 ldap/servers/slapd/dn.c                            |  20 +-
 ldap/servers/slapd/dse.c                           |   2 +-
 ldap/servers/slapd/dynalib.c                       |   6 +-
 ldap/servers/slapd/entry.c                         |  94 ++---
 ldap/servers/slapd/entrywsi.c                      |  22 +-
 ldap/servers/slapd/errormap.c                      |   4 +-
 ldap/servers/slapd/extendop.c                      |  26 +-
 ldap/servers/slapd/factory.c                       |  16 +-
 ldap/servers/slapd/filter.c                        |  68 ++--
 ldap/servers/slapd/filtercmp.c                     |  10 +-
 ldap/servers/slapd/filterentry.c                   |  80 ++---
 ldap/servers/slapd/init.c                          |   4 +-
 ldap/servers/slapd/libglobs.c                      |  10 +-
 ldap/servers/slapd/localhost.c                     |  18 +-
 ldap/servers/slapd/lock.c                          |   4 +-
 ldap/servers/slapd/log.c                           |  42 +--
 ldap/servers/slapd/main.c                          | 146 ++++----
 ldap/servers/slapd/mapping_tree.c                  |  76 ++--
 ldap/servers/slapd/modify.c                        |  12 +-
 ldap/servers/slapd/modrdn.c                        |  16 +-
 ldap/servers/slapd/modutil.c                       |  14 +-
 ldap/servers/slapd/operation.c                     |   8 +-
 ldap/servers/slapd/opshared.c                      |   6 +-
 ldap/servers/slapd/passwd_extop.c                  |  36 +-
 ldap/servers/slapd/pblock.c                        |  40 +--
 ldap/servers/slapd/plugin.c                        |  84 ++---
 ldap/servers/slapd/plugin_acl.c                    |   2 +-
 ldap/servers/slapd/plugin_mr.c                     |  10 +-
 ldap/servers/slapd/plugin_syntax.c                 |  58 ++--
 ldap/servers/slapd/poll_using_select.c             |  12 +-
 ldap/servers/slapd/protect_db.c                    |  30 +-
 ldap/servers/slapd/psearch.c                       |  16 +-
 ldap/servers/slapd/pw.c                            |  14 +-
 ldap/servers/slapd/referral.c                      |   4 +-
 ldap/servers/slapd/result.c                        |  70 ++--
 ldap/servers/slapd/sasl_io.c                       |  26 +-
 ldap/servers/slapd/sasl_map.c                      |  52 +--
 ldap/servers/slapd/saslbind.c                      |  76 ++--
 ldap/servers/slapd/schema.c                        |  52 +--
 ldap/servers/slapd/schemaparse.c                   |   4 +-
 ldap/servers/slapd/search.c                        |   2 +-
 ldap/servers/slapd/snmp_collator.c                 |   6 +-
 ldap/servers/slapd/ssl.c                           |  14 +-
 ldap/servers/slapd/str2filter.c                    |   8 +-
 ldap/servers/slapd/stubs.c                         |   2 +-
 ldap/servers/slapd/task.c                          | 116 +++----
 ldap/servers/slapd/tools/mmldif.c                  |  48 +--
 ldap/servers/slapd/unbind.c                        |   2 +-
 ldap/servers/slapd/util.c                          |  36 +-
 ldap/servers/slapd/value.c                         |   2 +-
 ldap/servers/slapd/valueset.c                      |   4 +-
 ldap/servers/slapd/vattr.c                         |  22 +-
 153 files changed, 2365 insertions(+), 2365 deletions(-)

diff --git a/ldap/servers/plugins/acl/aclutil.c b/ldap/servers/plugins/acl/aclutil.c
index 5915e88..047f532 100644
--- a/ldap/servers/plugins/acl/aclutil.c
+++ b/ldap/servers/plugins/acl/aclutil.c
@@ -765,7 +765,7 @@ acl_match_macro_in_target( const char *ndn, char * match_this,
 	/* we know it's got a $(dn) */
 	tmp_ptr = PL_strcasestr(macro_prefix, ACL_TARGET_MACRO_DN_KEY);	
 	if (!tmp_ptr) {
-		LDAPDebug(LDAP_DEBUG_ACL,"acl_match_macro_in_target: "
+		LDAPDebug(LDAP_DEBUG_ACL, LOG_DEBUG,"acl_match_macro_in_target: "
 				"Target macro DN key \"%s\" not found in \"%s\".\n",
 				ACL_TARGET_MACRO_DN_KEY, macro_prefix, 0);
 		slapi_ch_free_string(&macro_prefix);
@@ -1463,7 +1463,7 @@ acl_ht_display_entry(PLHashEntry *he, PRIntn i, void *arg)
 	PLHashNumber aci_index = (PLHashNumber)he->key;
     char *matched_val = (char *)he->value;
 	
-	LDAPDebug(LDAP_DEBUG_ACL,"macro ht entry: key='%d' matched_val='%s'"
+	LDAPDebug(LDAP_DEBUG_ACL, LOG_DEBUG,"macro ht entry: key='%d' matched_val='%s'"
 								"keyhash='%d'\n", 
 				aci_index, (matched_val ? matched_val: "NULL"),
 				(PLHashNumber)he->keyHash);
diff --git a/ldap/servers/plugins/bitwise/bitwise.c b/ldap/servers/plugins/bitwise/bitwise.c
index 377981e..2a3ff8f 100644
--- a/ldap/servers/plugins/bitwise/bitwise.c
+++ b/ldap/servers/plugins/bitwise/bitwise.c
@@ -163,7 +163,7 @@ bitwise_filter_create (Slapi_PBlock* pb)
 	} else if (strcmp(mrOID, "1.2.840.113556.1.4.804") == 0) {
 	    slapi_pblock_set (pb, SLAPI_PLUGIN_MR_FILTER_MATCH_FN, (void*)bitwise_filter_match_or);
 	} else { /* this oid not handled by this plugin */
-	    LDAPDebug (LDAP_DEBUG_FILTER, "=> bitwise_filter_create OID (%s) not handled\n", mrOID, 0, 0);
+	    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> bitwise_filter_create OID (%s) not handled\n", mrOID, 0, 0);
 	    return rc;
 	}
 	bmc = new_bitwise_match_cb(mrTYPE, mrVALUE);
@@ -171,9 +171,9 @@ bitwise_filter_create (Slapi_PBlock* pb)
 	slapi_pblock_set (pb, SLAPI_PLUGIN_DESTROY_FN, (void*)bitwise_filter_destroy);
 	rc = LDAP_SUCCESS;
     } else {
-	LDAPDebug (LDAP_DEBUG_FILTER, "=> bitwise_filter_create missing parameter(s)\n", 0, 0, 0);
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> bitwise_filter_create missing parameter(s)\n", 0, 0, 0);
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "<= bitwise_filter_create %i\n", rc, 0, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= bitwise_filter_create %i\n", rc, 0, 0);
     return LDAP_SUCCESS;
 }
 
@@ -189,6 +189,6 @@ bitwise_init (Slapi_PBlock* pb)
     if ( rc == 0 ) {
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_DESCRIPTION, (void *)&pdesc );
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "bitwise_init %i\n", rc, 0, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "bitwise_init %i\n", rc, 0, 0);
     return rc;
 }
diff --git a/ldap/servers/plugins/collation/collate.c b/ldap/servers/plugins/collation/collate.c
index 483a132..6edf427 100644
--- a/ldap/servers/plugins/collation/collate.c
+++ b/ldap/servers/plugins/collation/collate.c
@@ -60,7 +60,7 @@ collation_config (size_t cargc, char** cargv,
 	/* ignore - not needed anymore with ICU - was used to get path for NLS_Initialize */
     } else if (!strcasecmp (cargv[0], "collation")) {
 	if ( cargc < 7 ) {
-	    LDAPDebug (LDAP_DEBUG_ANY,
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		       "%s: line %lu ignored: only %lu arguments (expected "
 		       "collation language country variant strength decomposition oid ...)\n",
 		       fname, (unsigned long)lineno, (unsigned long)cargc );
@@ -76,7 +76,7 @@ collation_config (size_t cargc, char** cargv,
 	      case 3: profile->strength = UCOL_TERTIARY; break;
 	      case 4: profile->strength = UCOL_IDENTICAL; break;
 	      default: profile->strength = UCOL_SECONDARY;
- 		LDAPDebug (LDAP_DEBUG_ANY,
+ 		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			   "%s: line %lu: strength \"%s\" not supported (will use 2)\n",
 			   fname, (unsigned long)lineno, cargv[4]);
 		break;
@@ -86,7 +86,7 @@ collation_config (size_t cargc, char** cargv,
 	      case 2: profile->decomposition = UCOL_DEFAULT; /* no break here? fall through? wtf? */
 	      case 3: profile->decomposition = UCOL_ON; break;
 	      default: profile->decomposition = UCOL_DEFAULT;
-		LDAPDebug (LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			   "%s: line %lu: decomposition \"%s\" not supported (will use 2)\n",
 			   fname, (unsigned long)lineno, cargv[5]);
 		break;
@@ -326,7 +326,7 @@ collation_index (indexer_t* ix, struct berval** bvec, struct berval** prefixes)
 		    }
 		    memcpy(bk->bv_val + prefixLen, key, realLen);
 		    bk->bv_val[bk->bv_len] = '\0';
-		    LDAPDebug (LDAP_DEBUG_FILTER, "collation_index(%.*s) %lu bytes\n",
+		    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "collation_index(%.*s) %lu bytes\n",
 			       bk->bv_len, bk->bv_val, (unsigned long)bk->bv_len);
 		    keys = (struct berval**)
 			slapi_ch_realloc ((void*)keys, sizeof(struct berval*) * (keyn + 2));
@@ -425,13 +425,13 @@ collation_indexer_create (const char* oid)
 		    ix = (indexer_t*) slapi_ch_calloc (1, sizeof (indexer_t));
 		    ucol_setAttribute (coll, UCOL_STRENGTH, profile->strength, &err);
 		    if (U_FAILURE(err)) {
-		    	LDAPDebug (LDAP_DEBUG_ANY, "collation_indexer_create: could not "
+		    	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "collation_indexer_create: could not "
 				   "set the collator strength for oid %s to %d: err %d\n",
 				   oid, profile->strength, err);
 		    }
 		    ucol_setAttribute (coll, UCOL_DECOMPOSITION_MODE, profile->decomposition, &err);
 		    if (U_FAILURE(err)) {
-		    	LDAPDebug (LDAP_DEBUG_ANY, "collation_indexer_create: could not "
+		    	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "collation_indexer_create: could not "
 				   "set the collator decomposition mode for oid %s to %d: err %d\n",
 				   oid, profile->decomposition, err);
 		    }
@@ -442,7 +442,7 @@ collation_indexer_create (const char* oid)
 		    	}
 		    }
             if (!*id) {
-                LDAPDebug (LDAP_DEBUG_ANY, "collation_indexer_create: id not found\n", 0, 0, 0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "collation_indexer_create: id not found\n", 0, 0, 0);
                 goto error;
             }
 
@@ -454,12 +454,12 @@ collation_indexer_create (const char* oid)
 		    /* free (etc); */
 		    /* free (ix); */
 		} else if (err == U_USING_DEFAULT_WARNING) {
-		    LDAPDebug (LDAP_DEBUG_FILTER, "collation_indexer_create: could not "
+		    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "collation_indexer_create: could not "
 			       "create an indexer for OID %s for locale %s and could not "
 			       "use default locale\n",
 			       oid, (locale ? locale : "(default)"), NULL);
 		} else { /* error */
-		    LDAPDebug (LDAP_DEBUG_FILTER, "collation_indexer_create: could not "
+		    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "collation_indexer_create: could not "
 			       "create an indexer for OID %s for locale %s: err = %d\n",
 			       oid, (locale ? locale : "(default)"), err);
 		}
diff --git a/ldap/servers/plugins/collation/config.c b/ldap/servers/plugins/collation/config.c
index a317a0c..42aa1fd 100644
--- a/ldap/servers/plugins/collation/config.c
+++ b/ldap/servers/plugins/collation/config.c
@@ -83,7 +83,7 @@ fp_parse_line(
 	for ( token = strtok_quote( line, " \t" ); token != NULL;
 	    token = strtok_quote( NULL, " \t" ) ) {
 		if ( *argcp == MAXARGS ) {
-			LDAPDebug( LDAP_DEBUG_ANY, "Too many tokens (max %d)\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Too many tokens (max %d)\n",
 			    MAXARGS, 0, 0 );
 			exit( 1 );
 		}
@@ -156,13 +156,13 @@ collation_read_config( char *fname )
 
     fp = fopen( fname, "r" );
     if ( fp == NULL ) {
-	LDAPDebug( LDAP_DEBUG_ANY,
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		  "could not open config file \"%s\" - absolute path?\n",
 		  fname, 0, 0 );
 	return; /* Do not exit */
     }
 
-    LDAPDebug( LDAP_DEBUG_CONFIG, "reading config file %s\n", fname, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "reading config file %s\n", fname, 0, 0 );
 
     fp_getline_init( &lineno );
     while ( (line = fp_getline( fp, &lineno )) != NULL ) {
@@ -170,10 +170,10 @@ collation_read_config( char *fname )
 	if ( line[0] == '#' || line[0] == '\0' ) {
 	    continue;
 	}
-	LDAPDebug( LDAP_DEBUG_CONFIG, "line %d: %s\n", lineno, line, 0 );
+	LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "line %d: %s\n", lineno, line, 0 );
 	fp_parse_line( line, &cargc, cargv );
 	if ( cargc < 1 ) {
-	    LDAPDebug( LDAP_DEBUG_ANY,
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		      "%s: line %d: bad config line (ignored)\n",
 		      fname, lineno, 0 );
 	    continue;
diff --git a/ldap/servers/plugins/collation/orfilter.c b/ldap/servers/plugins/collation/orfilter.c
index a6d374d..4a22ee3 100644
--- a/ldap/servers/plugins/collation/orfilter.c
+++ b/ldap/servers/plugins/collation/orfilter.c
@@ -64,7 +64,7 @@ static int
 or_filter_destroy (Slapi_PBlock* pb)
 {
     auto or_filter_t* or = or_filter_get (pb);
-    LDAPDebug (LDAP_DEBUG_FILTER, "or_filter_destroy(%p)\n", (void*)or, 0, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "or_filter_destroy(%p)\n", (void*)or, 0, 0);
     if (or != NULL) {
     slapi_ch_free((void**)&or->or_type);
     slapi_ch_free((void**)&or->or_oid);
@@ -473,7 +473,7 @@ or_filter_create (Slapi_PBlock* pb)
 	auto struct berval bv;
 	auto int reusable = MRF_ANY_TYPE;
 
-	LDAPDebug (LDAP_DEBUG_FILTER, "=> or_filter_create(oid %s; type %s)\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> or_filter_create(oid %s; type %s)\n",
 		   mrOID, mrTYPE, 0);
 	if (len > 1 && (ix = indexer_create (mrOID)) != NULL) {
 	    auto char* val = mrVALUE->bv_val;
@@ -535,7 +535,7 @@ or_filter_create (Slapi_PBlock* pb)
 	    {
 		auto struct berval** val = or->or_values;
 		if (val) for (; *val; ++val) {
-		    LDAPDebug (LDAP_DEBUG_FILTER, "value \"%s\"\n", (*val)->bv_val, 0, 0);
+		    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "value \"%s\"\n", (*val)->bv_val, 0, 0);
 		}
 	    }
 	    if (or->or_op == SLAPI_OP_SUBSTRING) {
@@ -553,9 +553,9 @@ or_filter_create (Slapi_PBlock* pb)
 	    rc = LDAP_SUCCESS;
 	}
     } else {
-	LDAPDebug (LDAP_DEBUG_FILTER, "=> or_filter_create missing parameter(s)\n", 0, 0, 0);
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> or_filter_create missing parameter(s)\n", 0, 0, 0);
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "<= or_filter_create(%p) %i\n", (void*)or, rc, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= or_filter_create(%p) %i\n", (void*)or, rc, 0);
     return rc;
 }
 
@@ -573,7 +573,7 @@ static int
 op_indexer_destroy (Slapi_PBlock* pb)
 {
     auto indexer_t* ix = op_indexer_get (pb);
-    LDAPDebug (LDAP_DEBUG_FILTER, "op_indexer_destroy(%p)\n", (void*)ix, 0, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "op_indexer_destroy(%p)\n", (void*)ix, 0, 0);
     if (ix != NULL) {
         indexer_free (ix);
         /* The keys were freed, but we need to reset the pblock pointer */
@@ -596,7 +596,7 @@ op_index_entry (Slapi_PBlock* pb)
     } else {
 	rc = LDAP_OPERATIONS_ERROR;
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "op_index_entry(%p) %i\n", (void*)ix, rc, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "op_index_entry(%p) %i\n", (void*)ix, rc, 0);
     return rc;
 }
 
@@ -618,7 +618,7 @@ op_index_search (Slapi_PBlock* pb)
 	    rc = slapi_pblock_set (pb, SLAPI_PLUGIN_MR_KEYS, or->or_index_keys);
 	}
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "op_index_search(%p) %i\n", (void*)or, rc, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "op_index_search(%p) %i\n", (void*)or, rc, 0);
     return rc;
 }
 
@@ -652,7 +652,7 @@ static void
 ss_indexer_destroy (Slapi_PBlock* pb)
 {
     auto ss_indexer_t* ss = ss_indexer_get (pb);
-    LDAPDebug (LDAP_DEBUG_FILTER, "ss_indexer_destroy(%p)\n", (void*)ss, 0, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "ss_indexer_destroy(%p)\n", (void*)ss, 0, 0);
     if (ss) {
         ss_indexer_free(ss);
         /* The keys were freed, but we need to reset the pblock pointer */
@@ -743,7 +743,7 @@ ss_index_entry (Slapi_PBlock* pb)
 	    slapi_ch_free((void**)&prefixes);
 	}
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "ss_index_entry(%p) %i %lu substrings\n",
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "ss_index_entry(%p) %i %lu substrings\n",
 	       (void*)ss, rc, (unsigned long)substringsLen);
     return rc;
 }
@@ -809,7 +809,7 @@ ss_index_search (Slapi_PBlock* pb)
 	    rc = slapi_pblock_set (pb, SLAPI_PLUGIN_MR_KEYS, or->or_index_keys);
 	}
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "ss_index_search(%p) %i\n", (void*)or, rc, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "ss_index_search(%p) %i\n", (void*)or, rc, 0);
     return rc;
 }
 
@@ -884,7 +884,7 @@ or_filter_index (Slapi_PBlock* pb)
 	!(rc = slapi_pblock_set (pb, SLAPI_PLUGIN_MR_OID, mrOID))) {
 	rc = slapi_pblock_set (pb, SLAPI_PLUGIN_MR_QUERY_OPERATOR, &mrQUERY_OPERATOR);
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "or_filter_index(%p) %i\n",
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "or_filter_index(%p) %i\n",
 	       (void*)(or ? or->or_indexer : NULL), rc, 0);
     return rc;
 }
@@ -896,12 +896,12 @@ or_indexer_create (Slapi_PBlock* pb)
     auto char* mrOID = NULL;
     auto void* mrOBJECT = NULL;
     if (slapi_pblock_get (pb, SLAPI_PLUGIN_MR_OID, &mrOID) || mrOID == NULL) {
-	LDAPDebug (LDAP_DEBUG_FILTER, "=> or_indexer_create: no OID parameter\n", 0, 0, 0);
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> or_indexer_create: no OID parameter\n", 0, 0, 0);
     } else {
 	auto indexer_t* ix = indexer_create (mrOID);
 	auto char* mrTYPE = NULL;
 	slapi_pblock_get (pb, SLAPI_PLUGIN_MR_TYPE, &mrTYPE);
-	LDAPDebug (LDAP_DEBUG_FILTER, "=> or_indexer_create(oid %s; type %s)\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> or_indexer_create(oid %s; type %s)\n",
 		   mrOID, mrTYPE ? mrTYPE : "<NULL>", 0);
 	if (ix != NULL) {
 	    if (ix->ix_index != NULL &&
@@ -944,7 +944,7 @@ or_indexer_create (Slapi_PBlock* pb)
 	    }
 	}
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "<= or_indexer_create(%p) %i\n", mrOBJECT, rc, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= or_indexer_create(%p) %i\n", mrOBJECT, rc, 0);
     return rc;
 }
 
@@ -995,6 +995,6 @@ orderingRule_init (Slapi_PBlock* pb)
     if ( rc == 0 ) {
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_DESCRIPTION, (void *)&pdesc );
     }
-    LDAPDebug (LDAP_DEBUG_FILTER, "orderingRule_init %i\n", rc, 0, 0);
+    LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "orderingRule_init %i\n", rc, 0, 0);
     return rc;
 }
diff --git a/ldap/servers/plugins/cos/cos.c b/ldap/servers/plugins/cos/cos.c
index 75ef2ba..4a1de56 100644
--- a/ldap/servers/plugins/cos/cos.c
+++ b/ldap/servers/plugins/cos/cos.c
@@ -143,7 +143,7 @@ int cos_init( Slapi_PBlock *pb )
 	int ret = 0;
 	void * plugin_identity=NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "--> cos_init\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "--> cos_init\n",0,0,0);
 
 	/*
 	** Store the plugin identity for later use.
@@ -178,7 +178,7 @@ int cos_init( Slapi_PBlock *pb )
 	                      plugin_identity);
 
 bailout:
-	LDAPDebug( LDAP_DEBUG_TRACE, "<-- cos_init\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- cos_init\n",0,0,0);
 	return ret;
 }
 
@@ -193,22 +193,22 @@ int cos_start( Slapi_PBlock *pb )
 {
 	int ret = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "--> cos_start\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "--> cos_start\n",0,0,0);
 
 	if( !cos_cache_init() )
 	{
-		LDAPDebug( LDAP_DEBUG_PLUGIN, "cos: ready for service\n",0,0,0);
+		LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "cos: ready for service\n",0,0,0);
 	}
 	else
 	{
 
 		/* problems we are hosed */
 		cos_cache_stop();
-		LDAPDebug( LDAP_DEBUG_ANY, "cos_start: failed to initialise\n",0,0,0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "cos_start: failed to initialise\n",0,0,0);
 		ret = -1;
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<-- cos_start\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- cos_start\n",0,0,0);
 	return ret;
 }
 
@@ -219,11 +219,11 @@ int cos_start( Slapi_PBlock *pb )
 */
 int cos_close( Slapi_PBlock *pb )
 {
-	LDAPDebug( LDAP_DEBUG_TRACE, "--> cos_close\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "--> cos_close\n",0,0,0);
 
 	cos_cache_stop();
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<-- cos_close\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- cos_close\n",0,0,0);
 
 	return 0;
 }
@@ -260,11 +260,11 @@ int cos_compute(computed_attr_context *c,char* type,Slapi_Entry *e,slapi_compute
 */
 int cos_post_op( Slapi_PBlock *pb )
 {
-	LDAPDebug( LDAP_DEBUG_TRACE, "--> cos_post_op\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "--> cos_post_op\n",0,0,0);
 
 	cos_cache_change_notify(pb);
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<-- cos_post_op\n",0,0,0);
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<-- cos_post_op\n",0,0,0);
 
 	return SLAPI_PLUGIN_SUCCESS; /* always succeed */
 }
